Bug 88206 - neat not neat
neat not neat
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-07 13:38 EDT by Gerald Teschl
Modified: 2014-03-16 22:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-03 21:17:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2003-04-07 13:38:13 EDT
Description of problem:
I just wanted to give neat a try and started it in oder to change my
network config. It just crashed and hence I gave up and went for
vi and edited ifcfg-eth0 by hand. However, !!!surprise!!!, the system
would ignore the changes I made to ifcfg-eth0. After some code reading,
I found out that that neat copies ifcfg-eth0 from /etc/sysconfig/network-scripts
to /etc/sysconfig/networking/profiles/default and ifup will prefer

/etc/sysconfig/networking/profiles/default/ifcfg-eth0

over

/etc/sysconfig/network-scripts/ifcfg-eth0

This isn't what I would call a neat surprise. It shoud first of all
MOVE the file and a popup window should inform the user about the change.
Comment 1 Harald Hoyer 2003-04-07 18:33:48 EDT
the initscripts should not prefer that file... grrr
Comment 2 Harald Hoyer 2003-04-17 06:45:40 EDT
Bill, please remove all references to /etc/sysconfig/networking from the
initscripts... thx
Comment 3 Bill Nottingham 2003-09-03 21:17:55 EDT
This is now fixed.

Note You need to log in before you can comment on or make changes to this bug.